Bug 1270529 - Can't start containers that use supplemental groups but lack /etc/groups
Can't start containers that use supplemental groups but lack /etc/groups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 14:04 EDT by Paul Morie
Modified: 2015-11-08 05:19 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1272143 (view as bug list)
Environment:
Last Closed: 2015-11-08 05:19:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2015-10-10 14:04:34 EDT
Description of problem:

Docker can't start containers that use supplemental groups but do not have an /etc/groups file in their filesystem.  

The bug has been fixed in runc:

https://github.com/opencontainers/runc/pull/313

And there is a patch for the Red Hat docker:

https://github.com/rhatdan/docker/pull/127

Version-Release number of selected component (if applicable):

1.8

How reproducible:

Create a busybox container and set supplemental groups on it:

docker run --group-add=[123] -it busybox id -G

Actual results:

Container fails

Expected results:

Container starts and prints '123'
Comment 1 Fedora Update System 2015-10-15 10:36:46 EDT
docker-io-1.8.2-2.gitcb216be.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-891d60ea2b
Comment 2 Fedora End Of Life 2015-11-04 10:54:50 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora Update System 2015-11-08 05:19:36 EST
docker-io-1.8.2-2.gitcb216be.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.